package com.wx.application.exception;

import com.wx.application.base.ErrorCodeEnum;

public class CommonException extends RuntimeException {

    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public CommonException() {
        super();
    }

    public CommonException(Throwable e) {
        super(e.getMessage(), e);
    }

    public CommonException(String message) {
        super(message);
    }

    public CommonException(ErrorCodeEnum responseCodeEnum) {
        super(responseCodeEnum.toString());
    }
}
